Runtime

## org.eclipse.gmf.runtime.common.ui.action.ide.actions.global
Class GlobalOpenProjectAction

    java.lang.Object
      AbstractActionHandler
          org.eclipse.gmf.runtime.common.ui.action.global.GlobalAction
              org.eclipse.gmf.runtime.common.ui.action.ide.actions.global.GlobalOpenProjectAction

    public class GlobalOpenProjectAction

extends GlobalAction

Global action to open a project resource.

Constructor Summary
`GlobalOpenProjectAction(IWorkbenchPage workbenchPage)` Creates a new action.
`GlobalOpenProjectAction(IWorkbenchPart workbenchPart)` Creates a new action.

Method Summary
`protected void` `doRun(IProgressMonitor progressMonitor)`
`java.lang.String` `getActionId()` Returns the `GlobalActionId` handled by this action
`java.lang.String` `getWorkbenchActionConstant()` Returns the workbenchActionConstant.
`void` `init()`
`protected boolean` `isSelectionListener()`
`void` `run()`

Methods inherited from class org.eclipse.gmf.runtime.common.ui.action.global.GlobalAction
`createCompositeCommand, createContext, getGlobalActionHandlerData, getObjectContextGlobalActionHandlerData, getUndoContext, refresh`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GlobalOpenProjectAction

    public GlobalOpenProjectAction(IWorkbenchPage workbenchPage)

  Creates a new action.

  Parameters:
    `workbenchPage` - the workbench page

### GlobalOpenProjectAction

    public GlobalOpenProjectAction(IWorkbenchPart workbenchPart)

  Creates a new action.

  Parameters:
    `workbenchPart` - the workbench part

Method Detail

### init

    public void init()

  Overrides:
    `init` in class `GlobalAction`

### getActionId

    public java.lang.String getActionId()

  Description copied from class: `GlobalAction`
  Returns the `GlobalActionId` handled by this action

  Specified by:
    `getActionId` in class `GlobalAction`
  Returns:
    int

### getWorkbenchActionConstant

    public java.lang.String getWorkbenchActionConstant()

  Description copied from class: `GlobalAction`
  Returns the workbenchActionConstant.

  Overrides:
    `getWorkbenchActionConstant` in class `GlobalAction`
  Returns:
    String

### run

    public void run()

### doRun

    protected void doRun(IProgressMonitor progressMonitor)

  Overrides:
    `doRun` in class `GlobalAction`

### isSelectionListener

    protected boolean isSelectionListener()

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.